@import "../global/var";
@import "../global/var-pages";

.p-tests-sessions,
.p-tests-runs {
    &__content-wrapper {
        box-shadow: 0 0 4px 0 rgba($black, 0.12), 0 4px 4px 0 rgba($black, 0.12);
    }
    &__no-content {
        padding: 15px;
        background-color: $white;
        @media (min-width:$breakpoint-mobile) {
            border-top: 1px rgba($black, 0.12) solid;
        }
    }
    &__section {
        md-card {
            box-shadow: none;
        }
    }
    @media screen and (max-width: $breakpoint-mobile - 1) {
        &__content-wrapper {
            box-shadow: none;
            margin-right: -#{$page-padding-right-left-mobile};
            margin-left: -#{$page-padding-right-left-mobile};
        }
        &__section {
            background-color: $white;
            & .fixed-search-column {
                min-height: auto;
            }
            md-card {
                background: none;
                box-shadow: none;
            }
            &._content {
                background-color: transparent;
            }
            &._title {
                float: left;
            }
        }
        &__title {
            font-size: 18px;
            color: $black;
            margin-top: 0;
            margin-bottom: 0;
            padding-top: 8px;
            padding-bottom: 8px;
        }
        & .page {
            & md-card {
                margin-bottom: 0;
            }
        }
        #itemsCount {
            opacity: 0.5;
            font-size: 18px;
        }
    }
}

._blur-active {
    position: relative;
    transition: 0.25s filter ease-in;

    &::after {
        display: block;
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        z-index: 3;
    }
}
